Compare commits

...

20 Commits

Author SHA1 Message Date
Taiki Endo
c8da22002b Release 2.12.13 2023-07-18 23:58:28 +09:00
Taiki Endo
1c9cdf1902 Update changelog 2023-07-18 23:57:57 +09:00
Taiki Endo
87c08913ae Pass options to unzip 2023-07-18 23:51:08 +09:00
Taiki Endo
2f673b4841 Release 2.12.12 2023-07-17 14:28:29 +09:00
Taiki Endo
ec615ab753 Update mdbook@latest to 0.4.32 (#161) 2023-07-17 12:15:24 +10:00
Taiki Endo
3048daa459 Update cspell dictionary 2023-07-16 02:16:10 +09:00
Taiki Endo
ce314215ec Release 2.12.11 2023-07-13 12:44:33 +09:00
Taiki Endo
3ac3842059 Enable dependabot update for codegen 2023-07-13 12:44:18 +09:00
Taiki Endo
2db66fc31e Update syft@latest to 0.85.0 2023-07-13 12:23:03 +09:00
Taiki Endo
fb545eb1c9 Update dprint@latest to 0.39.1 2023-07-13 12:23:03 +09:00
Taiki Endo
42e74b55ab Revert "Update release scripts (take 3)"
This reverts commit be8c41d56e.

```
+ git push origin refs/heads/v2
To https://github.com/taiki-e/install-action
 ! [rejected]        v2 -> v2 (non-fast-forward)
error: failed to push some refs to 'https://github.com/taiki-e/install-action'
hint: Updates were rejected because the tip of your current branch is behind
hint: its remote counterpart. Integrate the remote changes (e.g.
hint: 'git pull ...') before pushing again.
hint: See the 'Note about fast-forwards' in 'git push --help' for details.
```
2023-07-09 13:11:42 +09:00
Taiki Endo
4efcb9aabf Release 2.12.10 2023-07-09 13:02:35 +09:00
Taiki Endo
be8c41d56e Update release scripts (take 3) 2023-07-09 13:02:13 +09:00
Taiki Endo
76d33aa44e codegen: Remove INTERNAL_CODEGEN_GH_PAT 2023-07-09 12:49:58 +09:00
Taiki Endo
143626c55b Update dprint@latest to 0.39.0 (#159) 2023-07-09 12:11:29 +10:00
Taiki Endo
5251e6a3db Release 2.12.9 2023-07-08 12:25:46 +09:00
Taiki Endo
d8aee37aa8 Update cargo-llvm-cov@latest to 0.5.23 (#158) 2023-07-08 12:25:09 +10:00
Taiki Endo
a08c2af7ad Release 2.12.8 2023-07-07 13:21:09 +09:00
Taiki Endo
648287cffe Update cspell dictionary 2023-07-07 13:20:55 +09:00
Taiki Endo
a2d6b56270 Update protoc@latest to 3.23.4 (#156) 2023-07-07 13:45:01 +10:00
12 changed files with 189 additions and 29 deletions

View File

@@ -38,6 +38,7 @@ asmjs
atmega
bpfeb
bpfel
csky
cuda
eabi
eabihf
@@ -115,6 +116,7 @@ nonoverlapping
noreturn
nostack
peekable
powf
punct
rclass
repr
@@ -164,7 +166,5 @@ readelf
shellcheckrc
SIGABRT
SIGILL
SIGINT
SIGTERM
subcmd
tlsv

9
.github/dependabot.yml vendored Normal file
View File

@@ -0,0 +1,9 @@
version: 2
updates:
- package-ecosystem: cargo
directory: /
schedule:
interval: daily
commit-message:
prefix: ''
labels: []

View File

@@ -10,6 +10,32 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.12.13] - 2023-07-18
- Slightly improve the time taken to install tools distributed as `.zip`.
## [2.12.12] - 2023-07-17
- Update `mdbook@latest` to 0.4.32.
## [2.12.11] - 2023-07-13
- Update `syft@latest` to 0.85.0.
- Update `dprint@latest` to 0.39.1.
## [2.12.10] - 2023-07-09
- Update `dprint@latest` to 0.39.0.
## [2.12.9] - 2023-07-08
- Update `cargo-llvm-cov@latest` to 0.5.23.
## [2.12.8] - 2023-07-07
- Update `protoc@latest` to 3.23.4.
## [2.12.7] - 2023-07-04
- Update `parse-changelog@latest` to 0.6.1.
@@ -923,7 +949,13 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.7...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.13...HEAD
[2.12.13]: https://github.com/taiki-e/install-action/compare/v2.12.12...v2.12.13
[2.12.12]: https://github.com/taiki-e/install-action/compare/v2.12.11...v2.12.12
[2.12.11]: https://github.com/taiki-e/install-action/compare/v2.12.10...v2.12.11
[2.12.10]: https://github.com/taiki-e/install-action/compare/v2.12.9...v2.12.10
[2.12.9]: https://github.com/taiki-e/install-action/compare/v2.12.8...v2.12.9
[2.12.8]: https://github.com/taiki-e/install-action/compare/v2.12.7...v2.12.8
[2.12.7]: https://github.com/taiki-e/install-action/compare/v2.12.6...v2.12.7
[2.12.6]: https://github.com/taiki-e/install-action/compare/v2.12.5...v2.12.6
[2.12.5]: https://github.com/taiki-e/install-action/compare/v2.12.4...v2.12.5

View File

@@ -4,6 +4,15 @@ set -euxo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
bail() {
echo >&2 "error: $*"
exit 1
}
if [[ -z "${CI:-}" ]]; then
bail "this script is intended to call from release workflow on CI"
fi
git config user.name "Taiki Endo"
git config user.email "te316e89@gmail.com"

View File

@@ -115,7 +115,7 @@ download_and_extract() {
else
case "${url}" in
*.zip)
unzip tmp
unzip -q tmp "${bin_in_archive#\./}"
mv "${bin_in_archive}" "${bin_dir}/"
;;
*) mv tmp "${installed_bin}" ;;
@@ -470,7 +470,7 @@ for tool in "${tools[@]}"; do
(
cd "${tmp_dir}"
download_and_checksum "${url}" "${checksum}"
unzip tmp
unzip -q tmp
mv "bin/protoc${exe}" "${bin_dir}/"
mkdir -p "${include_dir}/"
cp -r include/. "${include_dir}/"

View File

@@ -17,10 +17,27 @@
}
},
"latest": {
"version": "0.5.22"
"version": "0.5.23"
},
"0.5": {
"version": "0.5.22"
"version": "0.5.23"
},
"0.5.23": {
"x86_64_linux_musl": {
"checksum": "cdbb1c34bffeb2b5b986f16e3e1dd08c01d9ef2cbd1cf2d989ae7a184ce91302"
},
"x86_64_macos": {
"checksum": "e87ffd34514d23b5ce5d70e62eaff51c8a56308fcfea5d2df1cbf7a4930883af"
},
"x86_64_windows": {
"checksum": "3b0885d80a5d33c687331628adca4307cfb5d80a3d76a344ebf1077e504da08e"
},
"aarch64_linux_musl": {
"checksum": "5ad1d9b56601b76112c2555289763b88e0aba57b5188c7cb0b7e0c9f17141590"
},
"aarch64_macos": {
"checksum": "bfc30b8d89cf3b477caa8b4eee89bc083d8a3649e57a88eaa7a3a4948e5eaa0e"
}
},
"0.5.22": {
"x86_64_linux_musl": {

39
manifests/dprint.json generated
View File

@@ -20,7 +20,44 @@
}
},
"latest": {
"version": "0.38.3"
"version": "0.39.1"
},
"0.39": {
"version": "0.39.1"
},
"0.39.1": {
"x86_64_linux_musl": {
"checksum": "5e6ff56f68d31ff8411367fa021a15b29092d0d48bcd8b2741953927652da953"
},
"x86_64_macos": {
"checksum": "f4fb55f4361d70a43fd6cefd25328accef0cc52790950261f1d21aabfe97132d"
},
"x86_64_windows": {
"checksum": "6e7f87393fadd04bee062859c00f71bd7379960c15cebd673b35f3c810a0cee9"
},
"aarch64_linux_gnu": {
"checksum": "3a91d748c57d8510399d17eb14181c8f2803d9e67f7403ad7043a2c7a30c3568"
},
"aarch64_macos": {
"checksum": "63aa28e5ee984c029da74f51b53d4b3f979d9b70fce3800eb82486af389d3a99"
}
},
"0.39.0": {
"x86_64_linux_musl": {
"checksum": "85a05abe62b607b0b632dc2dfb70f1f0c25d0ba1c917ec5c57e4aba226617d42"
},
"x86_64_macos": {
"checksum": "79d1bbe2f811ddd4f9da83cb827abccc2a2fa851709886c8df9e1dd264d348a6"
},
"x86_64_windows": {
"checksum": "6e7726628ae1a656e9a889926c49b0d0dc213867e310112e550579512bedac40"
},
"aarch64_linux_gnu": {
"checksum": "d638ef063d33e12e4ee6ebb501655179c2be2a25800e6e8fa53c8d4413f08df4"
},
"aarch64_macos": {
"checksum": "78a17f1697e12b370c5c8f49665ff81bc97407c54f77d3f6ceae226c323a1c58"
}
},
"0.38": {
"version": "0.38.3"

18
manifests/mdbook.json generated
View File

@@ -17,10 +17,24 @@
}
},
"latest": {
"version": "0.4.31"
"version": "0.4.32"
},
"0.4": {
"version": "0.4.31"
"version": "0.4.32"
},
"0.4.32": {
"x86_64_linux_musl": {
"checksum": "ac38f040eb462752548c865d6c9e900aa862852d42190cd773d5f20cd7b757f9"
},
"x86_64_macos": {
"checksum": "a625001956c903ff7b6864e90bb6380eae0e8ed711040dfeab932ace68e73d79"
},
"x86_64_windows": {
"checksum": "c06f2eeb4cfa487931213b830701a3dfa1eab5fcd7ec3756f14ffc68171a4817"
},
"aarch64_linux_musl": {
"checksum": "e68950f91fa907e89bd7d3f4d3e228a0c7bb4556689ba9e2b3adc42e4e7d6021"
}
},
"0.4.31": {
"x86_64_linux_musl": {

28
manifests/protoc.json generated
View File

@@ -1,13 +1,35 @@
{
"template": null,
"latest": {
"version": "3.23.3"
"version": "3.23.4"
},
"3": {
"version": "3.23.3"
"version": "3.23.4"
},
"3.23": {
"version": "3.23.3"
"version": "3.23.4"
},
"3.23.4": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v23.4/protoc-23.4-linux-x86_64.zip",
"checksum": "0502f286ac9ed860b629a7965a14527b1f2dd131e4283fa23c2d7f184672aa9a"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v23.4/protoc-23.4-osx-x86_64.zip",
"checksum": "07e5fdcf1b0708d3367dc5e6eb8d135de7e407d75316c93155cfd8ab362eec80"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v23.4/protoc-23.4-win64.zip",
"checksum": "a309c39442fb75f0db343cb22c111a00f91cdf0767f332e170644b9378e2bcc6"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v23.4/protoc-23.4-linux-aarch_64.zip",
"checksum": "1c7750b6e038305b5a7fc3d0cda1ebefdf106a4f30a787bf826ed2fc47c3967d"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v23.4/protoc-23.4-osx-aarch_64.zip",
"checksum": "8c7afae8626b6811e7b5897d16d940c2dbf50b1e135ed958a01db6566bdda726"
}
},
"3.23.3": {
"x86_64_linux_gnu": {

22
manifests/syft.json generated
View File

@@ -27,7 +27,27 @@
}
},
"latest": {
"version": "0.84.1"
"version": "0.85.0"
},
"0.85": {
"version": "0.85.0"
},
"0.85.0": {
"x86_64_linux_musl": {
"checksum": "2a92c69e1017e2bf3785886a8298ad2b94dda69f9f5623560999740986dd8420"
},
"x86_64_macos": {
"checksum": "8dc8a29466bc69f514b56d8e41801ff781253646d07044982122609cb48bc1da"
},
"x86_64_windows": {
"checksum": "ca38ceb73b3124e92e2717f269e826a5091f128ee9bade27c9d9481b45aca43e"
},
"aarch64_linux_musl": {
"checksum": "fe96fc0c286feb554821ec1baf9367ad7122173998a8ca4ae2bcda844cd4a10a"
},
"aarch64_macos": {
"checksum": "0864e3b49ccf232bab7e171e4f8c03d1d6b291adc122ca009aa00218e9c74607"
}
},
"0.84": {
"version": "0.84.1"

View File

@@ -399,29 +399,20 @@ fn replace_vars(s: &str, package: &str, version: &str, platform: HostPlatform) -
}
fn download(url: &str) -> Result<ureq::Response> {
let mut token1 = env::var("INTERNAL_CODEGEN_GH_PAT")
.ok()
.filter(|v| !v.is_empty());
let mut token2 = env::var("GITHUB_TOKEN").ok().filter(|v| !v.is_empty());
let mut token = env::var("GITHUB_TOKEN").ok().filter(|v| !v.is_empty());
let mut retry = 0;
let mut last_error;
loop {
let mut req = ureq::get(url);
if let Some(token) = &token1 {
req = req.set("Authorization", token);
} else if let Some(token) = &token2 {
if let Some(token) = &token {
req = req.set("Authorization", token);
}
match req.call() {
Ok(res) => return Ok(res),
Err(e) => last_error = Some(e),
}
if retry == 3 || retry == 6 {
if token1.is_some() {
token1 = None;
} else if token2.is_some() {
token2 = None;
}
if retry == 5 && token.is_some() {
token = None;
}
retry += 1;
if retry > 10 {

View File

@@ -15,6 +15,14 @@ trap 's=$?; echo >&2 "$0: error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}
# Note: This script requires the following tools:
# - parse-changelog <https://github.com/taiki-e/parse-changelog>
x() {
local cmd="$1"
shift
(
set -x
"${cmd}" "$@"
)
}
bail() {
echo >&2 "error: $*"
exit 1
@@ -41,6 +49,7 @@ if gh release view "${tag}" &>/dev/null; then
bail "tag '${tag}' has already been created and pushed"
fi
# Make sure that the release was created from an allowed branch.
if ! git branch | grep -q '\* main$'; then
bail "current branch is not 'main'"
fi
@@ -89,8 +98,8 @@ echo "======================================="
if [[ -n "${tags}" ]]; then
# Create a release commit.
git add "${changelog}"
git commit -m "Release ${version}"
x git add "${changelog}"
x git commit -m "Release ${version}"
fi
tools=()